Retrieve Security Policies in a Project
get
/ic/api/integration/v1/projects/{projectId}/mcp/policies/security
Retrieves security policies configured for a project.
Request
Path Parameters
-
projectId(required): string
Project identifierExample:
MCP_PROJECT
Query Parameters
-
expand: string
Includes policy config in list responses when true. Valid values: true, false.
-
integrationInstance(required): string
This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.Example:
example-instance -
label: string
Label parameter
-
limit: integer(int32)
Use with the offset parameter for paginating through the returned results.
-
offset: integer(int32)
Use with the limit parameter for paginating through the returned results.
-
orderBy: string
Lists policies ordered by name or last updated time.
Valid values: name, time.
-
q: string
Filters security policies by name, status, and policyType.
Example:
{name:'Tools Policy', policyType:'TOOLS_FILTER'} -
return: string
Accepted but ignored in this release; this parameter does not select a minimal or full response view.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/vnd.oracle.model+json;type=collection
- application/json; charset=utf-8
200 Response
Successful operation
Root Schema : MCPPoliciesRs
Type:
objectPaginated collection of MCP security or business policies in a project.
Show Source
-
hasMore: boolean
Whether more results are available.
-
items: array
items
Items returned in this collection.
-
limit: integer
(int32)
Maximum number of results in this response.
-
totalResults: integer
(int32)
Total number of matching results.
Nested Schema : items
Type:
arrayItems returned in this collection.
Show Source
-
Array of:
object MCPPolicyListRs
MCP policy summary. Configuration is included when requested.
Nested Schema : MCPPolicyListRs
Type:
objectMCP policy summary. Configuration is included when requested.
Show Source
-
code: string
Resource code.
-
config: object
config
Additional Properties Allowed:
truePolicy-type-specific configuration. Its required fields depend on the policy type. -
created: string
(date-time)
Time the resource was created.
-
createdBy: string
User who created the resource.
-
description: string
Description of the resource.
-
iconclass: string
Icon CSS class for displaying this policy or template.
-
id: string
Resource identifier.
-
lastUpdated: string
(date-time)
Time the resource was last updated.
-
lastUpdatedBy: string
User who last updated the resource.
-
links: array
links
Links to related resources.
-
name: string
Display name of the resource.
-
policyType: string
Policy type identifier.
-
processingTime: number
(float)
Server-reported processing time.
-
projectId: string
Project identifier.
-
projectName: string
Project display name.
-
scope:
scope
Resource scope to which the MCP policy applies.
-
status: string
Allowed Values:
[ "INPROGRESS", "CONFIGURED" ]Current resource state. -
version: string
Resource version. The release accepts only 01.00.0000 on writes and uses it when the version is omitted.
Nested Schema : config
Type:
objectAdditional Properties Allowed:
truePolicy-type-specific configuration. Its required fields depend on the policy type.
Nested Schema : links
Type:
arrayLinks to related resources.
Show Source
-
Array of:
object MCP2610_Link
A link to a related REST resource.
Nested Schema : scope
Resource scope to which the MCP policy applies.
Match All
Resource scope to which the MCP policy applies.
Show Source
-
object
PolicyScopeRs
Resource scope to which the MCP policy applies.
Nested Schema : MCP2610_Link
Type:
objectA link to a related REST resource.
Show Source
-
href: string
URL of the linked resource.
-
mediaType: string
Media type of the linked resource.
-
rel: string
Relationship of the linked resource.
Nested Schema : PolicyScopeRs
Type:
objectResource scope to which the MCP policy applies.
Show Source
-
code: string
Resource code.
-
level: string
Scope level.
-
version: string
Version of the referenced resource, defaulting to 01.00.0000 where a version is used.
400 Response
Malformed parameters
401 Response
Unauthorized or insufficient design-time permissions
404 Response
Project or resource not found, or the MCP feature is not available
500 Response
Server error
Examples
The following example shows how to retrieve security policies configured for a project by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.
Example: Retrieve Security Policies in a Project
curl --request GET --include \
--url "${BASE_URL}/ic/api/integration/v1/projects/${PROJECT_ID}/mcp/policies/security?integrationInstance=${INTEGRATION_INSTANCE}" \
--header "Authorization: Bearer ${ACCESS_TOKEN}" \
--header "Accept: application/json"